RK-J - Feature #2618

Filter out ES results matching section name but not at the leaf level
09/18/2022 01:23 PM - Ram Kordale

Status: Closed Start date: 09/18/2022
Priority: Urgent Due date: 09/19/2022
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 1.50 hour
Target version: 1-RK-J-1 Spent time: 1.50 hour
Description

ES matches search terms in section names, content etc based on settings.

With the current settings, when ES matches a section name, it returns results where the actual match is in section name at level D1
which is not at the deepest (leaf) level. This results in undesired user experience such as the example below.

Select 'Python 3 Doc: All' and search for "class".
Multiple entries from 3rd are children of 'Python 3 Doc Library Reference > Python Runtime Services > dataclasses — Data Classes'.

After this ticket, we should end up with this parent document and only one of its child documents with 'Class Variables' as the section
name.

Possible solution: | have added two occurrences of removeUnnecessaryChildren in
https://docs.google.com/document/d/1-5tjuY40X3vIiR9xpagwlOCQ-JhBcRxe6CMISIPGavgQ/edit#. X in removeUnnecessaryChildren
can be decided based on what works for the example above.

History

#1 - 09/19/2022 05:14 AM - Ayush Khandelwal
- Due date set to 09/19/2022
- Estimated time set to 1.50 h

#2 - 09/19/2022 05:47 AM - Ayush Khandelwal

- Status changed from New to In Progress

#3 - 09/20/2022 10:36 AM - Ayush Khandelwal
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#4 - 09/21/2022 05:48 AM - Ayush Khandelwal
- Status changed from Resolved to Feedback

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected

#5 - 09/26/2022 04:38 AM - Ram Kordale
- Status changed from Feedback to Closed

#6 - 10/25/2022 07:23 AM - Ram Kordale
- Description updated
